#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ShellCheck
version: 0.4.6
id: ShellCheck-0.4.6-3hXYfIxGdYRKN8OI6xXJ01
key: ShellCheck-0.4.6-3hXYfIxGdYRKN8OI6xXJ01
license: GPL-3
maintainer: vidar@vidarholen.net
homepage: http://www.shellcheck.net/
synopsis: Shell script analysis tool
description:
    The goals of ShellCheck are:
    .
    * To point out and clarify typical beginner'\''s syntax issues,
    that causes a shell to give cryptic error messages.
    .
    * To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.
    .
    * To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user'\''s otherwise working script to fail under future circumstances.
category: Static Analysis
author: Vidar Holen
exposed: True
indefinite: False
exposed-modules:
    ShellCheck.AST ShellCheck.ASTLib ShellCheck.Analytics
    ShellCheck.Analyzer ShellCheck.AnalyzerLib ShellCheck.Checker
    ShellCheck.Checks.Commands ShellCheck.Checks.ShellSupport
    ShellCheck.Data ShellCheck.Formatter.CheckStyle
    ShellCheck.Formatter.Format ShellCheck.Formatter.GCC
    ShellCheck.Formatter.JSON ShellCheck.Formatter.TTY
    ShellCheck.Interface ShellCheck.Parser ShellCheck.Regex
hidden-modules: Paths_ShellCheck
abi: 8edcf757be177e9f8ff60129d9a8d239
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/ShellCheck-0.4.6
library-dirs: /usr/lib/ghc-8.2.1/site-local/ShellCheck-0.4.6
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/ShellCheck-0.4.6
hs-libraries: HSShellCheck-0.4.6-3hXYfIxGdYRKN8OI6xXJ01
depends:
    base-4.10.0.0 containers-0.5.10.2 directory-1.3.0.2
    json-0.9.1-H9oi4qjas9E3BwyRmbsDPn mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh
    regex-tdfa-1.2.2-1G5AA2OVGrl1AkVWQSHaiw
    QuickCheck-2.10.0.1-DTIBC3CyU6p3h4xSnOjkg1 process-1.6.1.0
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             directory-1.3.0.2=3638cd3d85711234b23f0c0ec04058d3
             json-0.9.1-H9oi4qjas9E3BwyRmbsDPn=fd52b5d4727d36570e5a44a2ac38bc63
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh=e1133adbf062e57f52fe5f364651e21e
             regex-tdfa-1.2.2-1G5AA2OVGrl1AkVWQSHaiw=14da71b18d5c7b202b9e82ce74c138e0
             QuickCheck-2.10.0.1-DTIBC3CyU6p3h4xSnOjkg1=5588ae901bf7ac2e6503919cd7ebd8ab
             process-1.6.1.0=d01a8ca2c6610f40dfd0fe25f50afb10
haddock-interfaces: /usr/share/doc/shellcheck/html/ShellCheck.haddock
haddock-html: /usr/share/doc/shellcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

